package CRSDK;

@SuppressWarnings("unused")
public enum CrWarningExtParam_PresetPTZFEvent {
    CrWarningExtParam_PresetPTZFEvent_Invalid (0x00000000) ,
    CrWarningExtParam_PresetPTZFEvent_DriveCompleted (CrWarningExtParam_PresetPTZFEvent_Invalid.getValue() + 1),
    CrWarningExtParam_PresetPTZFEvent_DriveInterrupted (CrWarningExtParam_PresetPTZFEvent_Invalid.getValue()+2),
    CrWarningExtParam_PresetPTZFEvent_DriveError (CrWarningExtParam_PresetPTZFEvent_Invalid.getValue()+3);

    private final CrInt32 value;
    CrWarningExtParam_PresetPTZFEvent(int value) {
        this.value = new CrInt32(value);
    }
    public  int getValue() {
        return value.intValue();
    }
}
